data:extend({
  {
    type = "burner-generator",
    name = "local-area-generator",
    icon = data.raw["item"]["engine-unit"].icon,
    icon_size = 64, icon_mipmaps = 1,
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "local-area-generator"},
    max_health = 250,
    corpse = "small-remnants",
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    resistances =
    {
      { type = "fire", percent = 100 },
      { type = "explosion", percent = 30 },
      { type = "impact", percent = 50 }
    },
    selection_box = {{-1, -1.5}, {1, 1.5}},
    collision_box = {{-0.9, -1.4}, {0.9, 1.4}},
    max_power_output = "2.5MW",
    burner =
    {
      type = "burner",
      fuel_category = "chemical",
      -- effectivity = effectivity,
      fuel_inventory_size = 3,
      emissions_per_minute = 34,
      light_flicker =
      {
        minimum_light_size = 1,
        light_intensity_to_size_coefficient = 0.25,
        color = {1,0.6,0},
        minimum_intensity = 0.05,
        maximum_intensity = 0.3
      },
      smoke =
      {
        {
          name = "smoke",
          north_position = util.by_pixel(20, -85),
          -- south_position = util.by_pixel(20, -85),
          east_position = util.by_pixel(20, -85),
          -- west_position = util.by_pixel(20, -85),
          frequency = 30,
          starting_vertical_speed = 0.0,
          starting_frame_deviation = 60,
          deviation = {-1, 1},
        }
      }
    },
    energy_source = {
      type = "electric",
      usage_priority = "secondary-output",
    },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/furnace.ogg",
        volume = 1.6
      },
      max_sounds_per_type = 3
    },
    min_perceived_performance = 1,
    performance_to_sound_speedup = 1,
    animation = {
      north = {
        layers = {{
          filename = "__local-area-generator__/north.png",
          frame_count = 1,
          line_length = 1,
          repeat_count = 1,
          width = 96,
          height = 132,
          shift = {0,0}
        }}
      },
      east = {
        layers = {{
          filename = "__local-area-generator__/east.png",
          frame_count = 1,
          line_length = 1,
          repeat_count = 1,
          width = 128,
          height = 95,
          shift = {0,0}
        }}
      }
    }
  -------------------------------------------------------------------- blurp
    -- placeable_by = {item = "local-area-generator", count = 1},
    -- minable = {mining_time = 1, result = "local-area-generator"},
    -- collision_mask = {
    --   "item-layer", "object-layer", "player-layer", "water-tile"
    -- }
  },
  {
    type = "item",
    name = "local-area-generator",
    icon = data.raw["item"]["engine-unit"].icon,
    icon_size = 64,
    order = "b",
    subgroup = "energy",
    stack_size = 50,
    place_result = "local-area-generator"
  },
  {
    type = "recipe",
    name = "local-area-generator",
    categoy = "crafting",
    energy_required = 4.5,
    ingredients = {
      {type = "item", name = "iron-gear-wheel", amount = 12},
      {type = "item", name = "steel-plate", amount = 24},
      {type = "item", name = "stone-brick", amount = 10},
      {type = "item", name = "steel-furnace", amount = 1},
      {type = "item", name = "battery", amount = 10}
    },
    result = "local-area-generator"
  },
  {
    type = "technology",
    name = "local-area-generator",
    effects = {
      {
        type = "unlock-recipe",
        recipe = "local-area-generator",
      },
    },
    icon = data.raw["technology"]["engine"].icon,
    icon_size = 64,
    prerequisites = {
      "electric-energy-distribution-1",
      "engine",
      "battery",
      "advanced-material-processing"
    },
    unit = {
      count = 500,
      time = 60,
      ingredients = {
        { "automation-science-pack", 1 },
        { "logistic-science-pack", 1 }
      }
    },
  }
})